org.apache.derby.drda

## Class NetServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.derby.drda.NetServlet

- All Implemented Interfaces:
    Serializable, Servlet, ServletConfig

      public class NetServlet
      extends HttpServlet

  This servlet can be used to start Derby Network Server from a remote location.

  These servlet configuration parameters are understood by this servlet.

  -     portNumber

    - Port number to use. The default is 1527.

  -     startNetworkServerOnInit

    - Starts the Derby Network Server at servlet initialization if 'true'.

  -     tracingDirectory

    - Directory for trace files
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doGet(HttpServletRequest request, HttpServletResponse response)` Get the form of NetServlet.
    `void` | `doPost(HttpServletRequest request, HttpServletResponse response)` Get the form of NetServlet.
    `void` | `init(ServletConfig config)` Initialize the servlet.

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetServlet

          public NetServlet()

  - ### Method Detail

    - #### init

          public void init(ServletConfig config)
                    throws ServletException

      Initialize the servlet. Configuration parameters:

      -     portNumber

        - Port number

      -     host

        - Host name

      -     traceDirectory

        - location of trace directory

      -     startNetworkServerOnInit

        - start the server on initialization
      Specified by:
        `init` in interface `Servlet`
      Overrides:
        `init` in class `GenericServlet`
      Throws:
        `ServletException`

    - #### doGet

          public void doGet(HttpServletRequest request,
                            HttpServletResponse response)
                     throws ServletException,
                            IOException

      Get the form of NetServlet. Provides buttons and forms to control the Network server.
      Overrides:
        `doGet` in class `HttpServlet`
      Throws:
        `ServletException`
        `IOException`

    - #### doPost

          public void doPost(HttpServletRequest request,
                             HttpServletResponse response)
                      throws ServletException,
                             IOException

      Get the form of NetServlet. Provides a buttons and form to control the Network server
      Overrides:
        `doPost` in class `HttpServlet`
      Throws:
        `ServletException`
        `IOException`

Apache Derby 10.14 API Documentation - Copyright © 2004,2018 The Apache Software Foundation. All Rights Reserved.